# $Revision: 1.3 $, $Date: 2004/01/24 17:38:18 $
Summary:	Utility for optimizing and compressing JPEG files.
Summary(pl):	Program do optymalizacji i kompresji plikw JPEG.
Name:		jpegoptim
Version:	1.2.2
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.cc.jyu.fi/~tjko/src/%{name}-%{version}.tar.gz
# Source0-md5:	c7e92417badac7dcffab4245c113871c
URL:		http://www.iki.fi/tjko/projects.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jpegoptim can optimize and compress jpeg files. Program supports
lossless optimization, which is based on optimizing the Huffman
tables. So called, "lossy" optimization (compression) is done by
re-encoding the image using user specified image quality factor.

%description -l pl
Jpegoptim potrafi optymalizowa i kompresowa pliki jpeg. Program
dokonuje bezstratnej optymalizacji opartej na optymalizacji tablic
Huffmana. Optymalizacja stratna (kompresja) jest dokonywana przez
przekodowanie obrazu z podan przez uytkownika jakoci.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub aux
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jpegoptim.spec,v $
Revision 1.3  2004/01/24 17:38:18  undefine
- copy config.sub, release 2

Revision 1.2  2003/08/21 08:18:41  qboosh
- cosmetics/cleanups

Revision 1.1  2003/08/20 14:23:30  undefine
- initial pld version by ytm

* Sat Dec  7 2002 Timo Kokkonen <tjko@iki.fi>
- Initial build.
